Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
salvage
/
network-fee
Network Fee
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/salvage/network-fee \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
"{\n    \"senderAddress\": \"0x6Fe215Bc6C12f28e98016FcbA21Fa57941a10dE5\",\n    \"recipientAddress\": \"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22\",\n    \"tokenAddress\": \"0x337610d27c682E347C9cD60BD4b3b107C9d34dDd\",\n    \"amount\": \"0.01\",\n    \"blockchainId\": \"b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa\",\n    \"rpcUrl\": \"https://opbnb-testnet-rpc.publicnode.com\",\n    \"isL2\": false // optional\n}"
'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/salvage/network-fee"

payload = "{
    \"senderAddress\": \"0x6Fe215Bc6C12f28e98016FcbA21Fa57941a10dE5\",
    \"recipientAddress\": \"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22\",
    \"tokenAddress\": \"0x337610d27c682E347C9cD60BD4b3b107C9d34dDd\",
    \"amount\": \"0.01\",
    \"blockchainId\": \"b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa\",
    \"rpcUrl\": \"https://opbnb-testnet-rpc.publicnode.com\",
    \"isL2\": false // optional
}"
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify('{\n    "senderAddress": "0x6Fe215Bc6C12f28e98016FcbA21Fa57941a10dE5",\n    "recipientAddress": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",\n    "tokenAddress": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",\n    "amount": "0.01",\n    "blockchainId": "b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa",\n    "rpcUrl": "https://opbnb-testnet-rpc.publicnode.com",\n    "isL2": false // optional\n}')
};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/salvage/network-fee', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "data": { "balance": "0.1", "fee": "0.000021" }, "message": "Salvage network fee fetched successfully", "statusCode": 200 }

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"WALLET_ID"

Body

application/json
amount
string
Example:

"3"

blockchainId
string
Example:

"b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa"

recipientAddress
string
Example:

"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22"

senderAddress
string
Example:

"0x65A9869D1b0d404FaBc77832d692E1A104C3ad5A"

crossNetwork
boolean

Set to true to estimate fees for cross-network recovery. Cannot be used with rpcUrl.

Example:

false

Response

200 - application/json

200 Token / 200 Native

data
object
message
string
Example:

"Salvage network fee fetched successfully"

statusCode
number
Example:

200